package org.nl.acs.device_driver.basedriver.oven_manipulator;

import org.nl.acs.device.device_driver.standard_inspect.ItemDto;
import org.nl.acs.device.domain.Device;
import org.nl.acs.device_driver.DeviceDriver;
import org.nl.acs.device_driver.defination.OpcDeviceDriverDefination;
import org.nl.acs.device.enums.DeviceType;
import org.springframework.stereotype.Service;

import java.util.LinkedList;
import java.util.List;

/**
 * 烘箱-行架机械手
 *
 */
@Service
public class OvenGantryManipulatorDefination implements OpcDeviceDriverDefination {
    @Override
    public String getDriverCode() {
        return "oven_manipulator";
    }

    @Override
    public String getDriverName() {
        return "烘箱-行架机械手";
    }

    @Override
    public String getDriverDescription() {
        return "烘箱-行架机械手";
    }

    @Override
    public DeviceDriver getDriverInstance(Device device) {
        return (new OvenGantryManipulatorDeviceDriver()).setDevice(device).setDriverDefination(this);

    }

    @Override
    public Class<? extends DeviceDriver> getDeviceDriverType() {
        return OvenGantryManipulatorDeviceDriver.class;
    }

    @Override
    public List<DeviceType> getFitDeviceTypes() {
        List<DeviceType> types = new LinkedList();
        types.add(DeviceType.station);
        return types;
    }

    @Override
    public List<ItemDto> getReadableItemDtos() {
        return ItemProtocol.getReadableItemDtos();
    }



    @Override
    public List<ItemDto> getWriteableItemDtos() {
        return ItemProtocol.getWriteableItemDtos();
    }

}
